<?php
	
    include('../conexion.php'); 
    $base_url = $_GET['base_url'];
	   
    ////////////////////////   Averigua el numero de FILAS ////////////////////////////
    
    $resultado2 = $mysqli->query("SELECT * FROM wc_parametros_fe");
    $datos = $resultado2->fetch_array();
    $ftp_server    = $datos["ftp_server"];
    $ftp_user_name = $datos["ftp_user_name"];
    $ftp_user_pass = $datos["ftp_user_pass"];
    $UriSubirXml   = $datos["UriSubirXml"];
 
$consulta = "SELECT codmen, numcompmen  FROM mensaje_receptor  WHERE    estadoComprobanteIntegracion = 0 || estadoComprobanteIntegracion = 400 || estadoComprobanteIntegracion = 403 ||  estadoComprobanteIntegracion = 401 || estadoComprobanteIntegracion > 499  " ;


 if ($resultado = $mysqli->query($consulta)){
        //Conexion unica de FTP
        $conn_id = ftp_connect($ftp_server);
        $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
        while ($fila = $resultado->fetch_assoc()) {		
     	$codmen = $fila["codmen"];
            file_get_contents("$base_url/FE/mensajeReceptor/fe.php?f=$codmen");            
            
            $numcompmen  =  $fila["numcompmen"];
            $local_file ='../FE/mensajeReceptor/crt/'.$numcompmen.'.xml';
            if (file_exists($local_file)) {                 
                    $server_file = $UriSubirXml.$numcompmen.'.xml';                  
                    if (ftp_put($conn_id, $server_file, $local_file, FTP_BINARY)){
                        //echo "La base de datos a sido actualizada de de forma exitosa\n";		
                    }  
                   
                }
        }
        ftp_close($conn_id);
    }






		